#!/usr/bin/env python
import sys
from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.Qsci import *

app = QApplication(sys.argv)
sci = QsciScintilla()
sci.setAutoCompletionThreshold(2)
sci.setAutoCompletionSource(QsciScintilla.AcsAPIs)

lex = QsciLexerMakefile(sci)
apis = QsciAPIs(lex)
apis.add('foo')
apis.prepare()
lex.setAPIs(apis)
sci.setLexer(lex)

sci.show()

app.exec_()
